mkzonefs(8)

NAME
mkzonefs - Create a zonefs file system on a zoned block device

SYNOPSIS
mkzonefs [ -h|--help ] [ -v ] [ -f ] [ -L label ] [ -o features ] device

DESCRIPTION
mkzonefs is used to create a zonefs file system on a zoned block device.

OPTIONS

-h, --help
    Display a short usage message and return

-v  Enable verbose output.

-f  Overwrite existing file system format on the device.

-L label
    Specify a label (volume name). A label must not exceed 32 characters.

-o features
    Specify optional features. Features are comma separated and may take an argument using the equal ("=") sign. The following features are supported.

    aggr_cnv
        Aggregate contiguous conventional zones into a single file. Default: disabled (create one file per zone).

    uid=UID
        Create files with UID as the owner user. The default is the "root" user (UID 0).

    gid=GID
        Create files with GID as the group owner. The default is the "root" group (GID 0).

    perm=permissions
        Create files with permissions as access rights. The default is "640".

SEE ALSO
zonefs(5)

AUTHOR
This version of mkzonefs was written by Damien Le Moal.

AVAILABILITY
mkzonefs is available from https://github.com/westerndigitalcorporation/zonefs-tools/